AnimalEntity

com.rscja.deviceapi.entity

## Class AnimalEntity

- java.lang.Object
- - com.rscja.deviceapi.entity.AnimalEntity

-     public class AnimalEntity
      extends java.lang.Object

  动物标签数据实体类
  animal tag data entity
  Author:
    liuruifeng

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnimalEntity()`
    `AnimalEntity(long nationalID, long countryID, long reserved, long dataBlock, long animalFlag)` 构造函数 Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAnimalFlag()` 获取动物标签的AnimalFlag acquire AnimalFlag of animal tag
    `long` | `getCountryID()` 获取动物标签的国家代码 acquire national code of animal tag
    `long` | `getDataBlock()` 获取动物标签的DataBlock acquire DataBlock of animal tag
    `java.lang.String` | `getIdData()` 获取64bit的识别号数据，十六进制表示 acquire 64bit identification number, hexdecimal
    `long` | `getNationalID()` 获取动物标签的NationalID信息 acquire national infor of animal tag
    `java.lang.String` | `getRawData()` 获取原始数据，十六进制表示 acquire original data, hexdecimal
    `long` | `getReserved()` 获取动物标签的Reserved信息 acquire Reserved infor of animal tag
    `void` | `setAnimalFlag(long animalFlag)` 设置动物标签的AnimalFlag setup AnimalFlag of animal tag
    `void` | `setCountryID(long countryID)` 设置动物标签的国家代码 setup national code of animal tag
    `void` | `setDataBlock(long dataBlock)` 设置动物标签的DataBlock setup DataBlock of animal tag
    `void` | `setIdData(java.lang.String idData)` 设置64bit的识别号数据，十六进制表示 setup 64bit identification number, hexdecimal
    `void` | `setNationalID(long nationalID)` 设置动物标签的NationalID信息 setup NationalID infor of animal tag
    `void` | `setRawData(java.lang.String rawData)` 设置原始数据 setup original data
    `void` | `setReserved(long reserved)` 设置动物标签的Reserved信息 setup Reserved infor of animal tag

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnimalEntity

          public AnimalEntity(long nationalID,
                              long countryID,
                              long reserved,
                              long dataBlock,
                              long animalFlag)

      构造函数
      Constructor
      Parameters:
        `nationalID` - 动物标签的NationalID信息
        NationalID infor of animal tag
        `countryID` - 动物标签的国家代码
        national code of animal tag
        `reserved` - 动物标签的Reserved信息
        Reserved infor of animal tag
        `dataBlock` - 动物标签的DataBlock
        DataBlock of animal tag
        `animalFlag` - 动物标签的AnimalFlag
        AnimalFlag of animal tag

    - #### AnimalEntity

          public AnimalEntity()

  - ### Method Detail

    - #### getNationalID

          public long getNationalID()

      获取动物标签的NationalID信息
      acquire national infor of animal tag
      Returns:

    - #### setNationalID

          public void setNationalID(long nationalID)

      设置动物标签的NationalID信息
      setup NationalID infor of animal tag
      Parameters:
        `nationalID` -

    - #### getCountryID

          public long getCountryID()

      获取动物标签的国家代码
      acquire national code of animal tag
      Returns:

    - #### setCountryID

          public void setCountryID(long countryID)

      设置动物标签的国家代码
      setup national code of animal tag
      Parameters:
        `countryID` -

    - #### getReserved

          public long getReserved()

      获取动物标签的Reserved信息
      acquire Reserved infor of animal tag
      Returns:

    - #### setReserved

          public void setReserved(long reserved)

      设置动物标签的Reserved信息
      setup Reserved infor of animal tag
      Parameters:
        `reserved` -

    - #### getDataBlock

          public long getDataBlock()

      获取动物标签的DataBlock
      acquire DataBlock of animal tag
      Returns:

    - #### setDataBlock

          public void setDataBlock(long dataBlock)

      设置动物标签的DataBlock
      setup DataBlock of animal tag
      Parameters:
        `nationalID` -

    - #### getAnimalFlag

          public long getAnimalFlag()

      获取动物标签的AnimalFlag
      acquire AnimalFlag of animal tag
      Returns:

    - #### setAnimalFlag

          public void setAnimalFlag(long animalFlag)

      设置动物标签的AnimalFlag
      setup AnimalFlag of animal tag
      Parameters:
        `nationalID` -

    - #### getRawData

          public java.lang.String getRawData()

      获取原始数据，十六进制表示
      acquire original data, hexdecimal
      Returns:

    - #### setRawData

          public void setRawData(java.lang.String rawData)

      设置原始数据
      setup original data
      Parameters:
        `rawData` -

    - #### getIdData

          public java.lang.String getIdData()

      获取64bit的识别号数据，十六进制表示
      acquire 64bit identification number, hexdecimal
      Returns:

    - #### setIdData

          public void setIdData(java.lang.String idData)

      设置64bit的识别号数据，十六进制表示
      setup 64bit identification number, hexdecimal
      Parameters:
        `idData` -